package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.OrgUnitCat;
import com.sa.ibiz.demo.demo.service.dto.OrgUnitCatSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[OrgUnitCat] 服务对象接口
 */
public interface OrgUnitCatService extends IService<OrgUnitCat>{

	boolean remove(OrgUnitCat et);
	boolean checkKey(OrgUnitCat et);
	boolean update(OrgUnitCat et);
		OrgUnitCat get(OrgUnitCat et);
	boolean create(OrgUnitCat et);
	boolean getDraft(OrgUnitCat et);
    List<OrgUnitCat> listDefault(OrgUnitCatSearchFilter filter) ;
	Page<OrgUnitCat> searchDefault(OrgUnitCatSearchFilter filter);
	/**	 实体[OrgUnitCat] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }